GET
Get supplier order

Authorizations

x-api-key
string
header
required

Path Parameters

internal_order_number
string
required

Internal order number assigned by Melonn (e.g. I00012345).

Response

The supplier order.

A supplier order with its line items, packages and attachments.

id
integer

Melonn id of the supplier order.

seller_supplier_id
integer

Melonn id of the supplier.

destination_warehouse_code
string

Code of the destination warehouse.

internal_order_number
string

Internal order number assigned by Melonn. Use it in the other supplier order endpoints.

external_order_number
string

Your identifier for the order. Absent when the order has none.

creation_date
string<date-time>

Date and time the order was created.

supplier_order_state
object

Current state of the supplier order.

comments
string

Comments of the order. Absent when the order has none.

supplier_order_lines
object[]
supplier_order_packages
object[]
attachments
object[]